Bug 582079 - restart/logout notification are shown before update completes
restart/logout notification are shown before update completes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kpackagekit (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On: 513755
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-13 23:08 EDT by Jerry Amundson
Modified: 2010-12-03 10:55 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 513755
Environment:
Last Closed: 2010-12-03 10:55:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry Amundson 2010-04-13 23:08:05 EDT
+++ This bug was initially created as a clone of Bug #513755 +++

Description of problem:

When updating packages that require a restart (or a logout/login) with packagekit, notifications appear before the end of the yum upgrade.

The notifications appear in a stack coming from the 'i' icon in the kde system tray. I think they come around the end of the testing packages phase, or the beginning of the install packages phase. Then when the update is complete, a restart icon appears in the systray.


Additionally, there is one notification stacking up per package requiring restart. None of these notifications show which package caused it. The kpackagekit restart icon is much friendlier - it simply lists the packages requiring update in a list in a tooltip.


Version-Release number of selected component (if applicable):

kpackagekit-0.4.1.1-1.fc11.i586
kdebase-workspace-4.2.4-5.fc11.i586
PackageKit-0.4.8-2.fc11.i586

--- Additional comment from smparrish@gmail.com on 2009-07-25 10:55:10 EDT ---

IIRC the notifications actually come from PackageKit, is that correct Richard?

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

--- Additional comment from rhughes@redhat.com on 2009-07-28 08:44:48 EDT ---

Yes, the signals come from packagekitd, which kpackagekit turns into notifications. I think that restart notifications should be just a tooltip as suggested, not notification bubbles.

--- Additional comment from smparrish@gmail.com on 2009-07-31 19:31:09 EDT ---

We filed this bug in the upstream database () and believe that it is more appropriate to let it be resolved upstream.

We will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Thank you for the bug report.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

--- Additional comment from yoho_ahoy@hotmail.com on 2009-08-07 16:54:10 EDT ---

I've now seen notifications at the very beginning of the update process. In that case a larger cluster of notifications occurred later in the process, while I was away from the computer.

I also noticed that the update icon in the systray during the update process. It's suppressed by the icon kpackagekit uses to show what it's currently doing, but is visible in the list of tasks if the kpackagekit systray icon is clicked on.


I see that upstream believes that the timing of the notifications is the responsibility of the packagekit backend.

--- Additional comment from rhughes@redhat.com on 2009-08-08 08:32:21 EDT ---

(In reply to comment #4)
> I see that upstream believes that the timing of the notifications is the
> responsibility of the packagekit backend.  

No, it's up to the frontend to take the notifications whenever they happen and batch them up to show the user at the end. There's nothing in the spec about when signals have to come during the transaction.

--- Additional comment from yoho_ahoy@hotmail.com on 2009-08-16 14:28:59 EDT ---

Is this related to bug #513856 ?

--- Additional comment from rdieter@math.unl.edu on 2009-08-16 14:50:56 EDT ---

Seems so.

--- Additional comment from kevin@tigcc.ticalc.org on 2009-09-17 18:19:03 EDT ---

*** Bug 521236 has been marked as a duplicate of this bug. ***

--- Additional comment from kevin@tigcc.ticalc.org on 2009-09-17 18:19:13 EDT ---

*** Bug 524070 has been marked as a duplicate of this bug. ***

--- Additional comment from yoho_ahoy@hotmail.com on 2009-10-05 06:43:42 EDT ---

This may be fixed in kpackagekit 0.5.x, but I think this release requires a newer PackageKit (intended for F12?). Would this be worth back-porting to kpackagekit 0.4.x?

--- Additional comment from jamundso@gmail.com on 2010-03-24 22:21:35 EDT ---

Just saw this. Resolved bug upstream does not solve this.
PackageKit-0.4.9-1.fc11.i586
kpackagekit-0.4.2-1.fc11.i586

Can f11 go to kpackagekit 0.5?
Comment 1 Jerry Amundson 2010-04-13 23:22:58 EDT
Now in fc12, 

"The system update has completed
A restart is required
Packages: imsettings, imsettings-libs, libdrm, phonon, phonon-backend-gstreamer, phonon-backend-xine"

yet kpackagekit had already crashed, ala 
https://bugs.kde.org/show_bug.cgi?id=225404

though an additional attempt (the 2nd, I think) succeeded.

[root@walnut ~]# yum check-update
Loaded plugins: presto, refresh-packagekit

ghostscript.i686                                            8.71-6.fc12                           updates
grep.i686                                                   2.6.3-1.fc12                          updates
hpijs.i686                                                  1:3.10.2-4.fc12                       updates
hplip.i686                                                  3.10.2-4.fc12                         updates
hplip-common.i686                                           3.10.2-4.fc12                         updates
hplip-libs.i686                                             3.10.2-4.fc12                         updates
imsettings.i686                                             0.108.0-1.fc12                        updates
imsettings-libs.i686                                        0.108.0-1.fc12                        updates
kmymoney2.i686                                              1.0.3-1.fc12                          updates
kmymoney2-libs.i686                                         1.0.3-1.fc12                          updates
libdrm.i686                                                 2.4.18-2.fc12                         updates
phonon.i686                                                 4.4.0-3.fc12                          updates
phonon-backend-gstreamer.i686                               2:4.4.0-3.fc12                        updates
phonon-backend-xine.i686                                    4.4.0-3.fc12                          updates
report.i686                                                 0.10-5.fc12                           updates
report-config-bugzilla-redhat-com.i686                      0.10-5.fc12                           updates
report-gtk.i686                                             0.10-5.fc12                           updates
report-plugin-bugzilla.i686                                 0.10-5.fc12                           updates
[root@walnut ~]# yum-complete-transaction 
Loaded plugins: presto, refresh-packagekit
Existing lock /var/run/yum.pid: another copy is running as pid 2256.
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  83 M RSS ( 96 MB VSZ)
    Started: Tue Apr 13 22:11:32 2010 - 00:25 ago
    State  : Running, pid: 2256
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  84 M RSS ( 97 MB VSZ)
    Started: Tue Apr 13 22:11:32 2010 - 00:27 ago
    State  : Running, pid: 2256
No unfinished transactions left.
[root@walnut ~]# yum check-update
Loaded plugins: presto, refresh-packagekit
[root@walnut ~]#
Comment 2 Oliver Henshaw 2010-04-28 06:28:04 EDT
See also bug 553356.
Comment 4 Bug Zapper 2010-11-03 13:10:13 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 10:55:17 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.